Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234807 - yum 3.0.x cli skips packages to install
Summary: yum 3.0.x cli skips packages to install
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 09:01 UTC by Ville Skyttä
Modified: 2014-01-21 22:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 18:10:06 UTC


Attachments (Terms of Use)
Fix for yum 3.0.x (deleted)
2007-04-02 09:01 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-04-02 09:01:35 UTC
yum 3.0.x's cli silently drops remaining packages to install if a virtual
package is listed on the command line and something providing it is already
installed.

For example:

# rpm -q --whatprovides "perl(ExtUtils::MakeMaker)"
perl-5.8.8-10.x86_64
# rpm -q seamonkey
package seamonkey is not installed
# yum install "perl(ExtUtils::MakeMaker)" seamonkey
[...]
Nothing to do

seamonkey should have been installed.

Fix attached against upstream 3.0.x branch - the code in 3.1.x looks
substantially different and I don't have a box to test this with it at the moment.

Comment 1 Ville Skyttä 2007-04-02 09:01:35 UTC
Created attachment 151409 [details]
Fix for yum 3.0.x

Comment 2 Seth Vidal 2007-04-02 18:10:06 UTC
nice catch. took me a few tries to get it to replicate

applied upstream and should come out in 3.0.5-2 in fc6

Comment 3 Paul Howarth 2007-04-05 08:42:15 UTC
FWIW, building sendmail in mock with autocache where the buildsystem has
yum-3.0.5-1.fc6 triggers this bug quite nicely (it BR's "setup >= some version",
which is already in the unpacked cache and then forgets to install most of the
rest of the buildreqs).

3.0.5-2.fc6 from updates-testing fixes it as suggested.


Note You need to log in before you can comment on or make changes to this bug.